Skip to main content
PUT
/
api2
/
v1
/
users
/
{userUid}
Edit user
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/users/{userUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "timezone": "<string>",
  "userName": "<string>",
  "active": true,
  "clients": [
    {
      "id": "<string>"
    }
  ],
  "domains": [
    {
      "id": "<string>"
    }
  ],
  "note": "<string>",
  "projectBusinessUnits": [
    {
      "id": "<string>"
    }
  ],
  "sourceLangs": [
    "<string>"
  ],
  "subDomains": [
    {
      "id": "<string>"
    }
  ],
  "targetLangs": [
    "<string>"
  ],
  "terminologist": true,
  "workflowSteps": [
    {
      "id": "<string>"
    }
  ]
}
'
{
  "active": true,
  "clients": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "domains": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "email": "<string>",
  "firstName": "<string>",
  "id": "<string>",
  "lastName": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "note": "<string>",
  "organization": {},
  "priceList": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "projectBusinessUnits": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "sourceLangs": [
    "<string>"
  ],
  "subDomains": [
    {
      "id": "<string>",
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "targetLangs": [
    "<string>"
  ],
  "terminologist": true,
  "timezone": "<string>",
  "uid": "<string>",
  "userName": "<string>",
  "workflowSteps": [
    {
      "id": "<string>",
      "lqaEnabled": true,
      "name": "<string>",
      "order": 123,
      "uid": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

userUid
string
required

UID of the user to edit

Body

application/json

User object to update. Optional empty fields will be set to null

email
string
required

Email address

Maximum string length: 255
firstName
string
required

First name

Maximum string length: 255
lastName
string
required

Last name

Maximum string length: 255
role
enum<string>
required

User role

Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
timezone
string
required

IANA timezone identifier, e.g. Europe/Berlin

Maximum string length: 255
userName
string
required

Username (login name)

Maximum string length: 255
active
boolean

When false, the user account is deactivated and cannot log in

clients
object[]

Clients the user is restricted to

domains
object[]

Domains the user is restricted to

note
string

Internal note about the user; max 4096 characters

Maximum string length: 4096
projectBusinessUnits
object[]

Business units the user is restricted to for project access

sourceLangs
string[]

Source language locales the user works with

subDomains
object[]

Sub-domains the user is restricted to

targetLangs
string[]

Target language locales the user works with

terminologist
boolean

When true, the user may edit approved terms in term bases

workflowSteps
object[]

Workflow steps the user is assigned to

Response

OK

User with all belonging objects

active
boolean

When false, the user account is deactivated

clients
object[]

Clients the user is restricted to

createdBy
object
dateCreated
string<date-time>

Date the user account was created

dateDeleted
string<date-time>

Date the user account was deleted; null if the account is active

domains
object[]

Domains the user is restricted to

email
string

Email address

firstName
string

First name

id
string
read-only

Internal numeric ID

lastName
string

Last name

netRateScheme
object
note
string

Internal note about the user

organization
object
priceList
object
projectBusinessUnits
object[]

Business units the user is restricted to for project access

role
enum<string>

User role

Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
sourceLangs
string[]

Source language locales the user works with

subDomains
object[]

Sub-domains the user is restricted to

targetLangs
string[]

Target language locales the user works with

terminologist
boolean

When true, the user may edit approved terms in term bases

timezone
string

IANA timezone identifier

uid
string

Unique identifier (UID)

userName
string

Username (login name)

workflowSteps
object[]

Workflow steps the user is assigned to